<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>AdminModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="1793pt" height="211pt"
 viewBox="0.00 0.00 1793.00 211.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 207)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-207 1789,-207 1789,4 -4,4"/>
<text text-anchor="start" x="871.5091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="658.5,-10 658.5,-30 678.5,-30 678.5,-10 658.5,-10"/>
<text text-anchor="start" x="682.129" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="771.5,-10 771.5,-30 791.5,-30 791.5,-10 771.5,-10"/>
<text text-anchor="start" x="795.2251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="857.5,-10 857.5,-30 877.5,-30 877.5,-10 857.5,-10"/>
<text text-anchor="start" x="881.2812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="954.5,-10 954.5,-30 974.5,-30 974.5,-10 954.5,-10"/>
<text text-anchor="start" x="978.1732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="1050.5,-10 1050.5,-30 1070.5,-30 1070.5,-10 1050.5,-10"/>
<text text-anchor="start" x="1074.2258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AdminModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-195 1777,-195 1777,-70 8,-70"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_AdminModule_declarations</title>
<polygon fill="none" stroke="#000000" points="580,-78 580,-130 1769,-130 1769,-78 580,-78"/>
</g>
<g id="clust9" class="cluster">
<title>cluster_AdminModule_imports</title>
<polygon fill="none" stroke="#000000" points="296,-78 296,-130 572,-130 572,-78 296,-78"/>
</g>
<g id="clust12" class="cluster">
<title>cluster_AdminModule_providers</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 288,-130 288,-78 16,-78"/>
</g>
<!-- AdminCardsViewComponent -->
<g id="node1" class="node">
<title>AdminCardsViewComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1760.6951,-122 1577.3049,-122 1577.3049,-86 1760.6951,-86 1760.6951,-122"/>
<text text-anchor="middle" x="1669" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">AdminCardsViewComponent</text>
</g>
<!-- AdminModule -->
<g id="node7" class="node">
<title>AdminModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="1005.4386,-187 1002.4386,-191 981.4386,-191 978.4386,-187 906.5614,-187 906.5614,-151 1005.4386,-151 1005.4386,-187"/>
<text text-anchor="middle" x="956" y="-164.8" font-family="Times,serif" font-size="14.00" fill="#000000">AdminModule</text>
</g>
<!-- AdminCardsViewComponent&#45;&gt;AdminModule -->
<g id="edge1" class="edge">
<title>AdminCardsViewComponent&#45;&gt;AdminModule</title>
<path fill="none" stroke="#000000" d="M1669,-122.0109C1669,-144.4852 1669,-180 1669,-180 1669,-180 1015.2887,-180 1015.2887,-180"/>
<polygon fill="#000000" stroke="#000000" points="1015.2887,-176.5001 1005.2887,-180 1015.2887,-183.5001 1015.2887,-176.5001"/>
</g>
<!-- AdminComponent -->
<g id="node2" class="node">
<title>AdminComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1559.2204,-122 1438.7796,-122 1438.7796,-86 1559.2204,-86 1559.2204,-122"/>
<text text-anchor="middle" x="1499" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">AdminComponent</text>
</g>
<!-- AdminComponent&#45;&gt;AdminModule -->
<g id="edge2" class="edge">
<title>AdminComponent&#45;&gt;AdminModule</title>
<path fill="none" stroke="#000000" d="M1499,-122.1289C1499,-142.5724 1499,-173 1499,-173 1499,-173 1015.6271,-173 1015.6271,-173"/>
<polygon fill="#000000" stroke="#000000" points="1015.6271,-169.5001 1005.6271,-173 1015.6271,-176.5001 1015.6271,-169.5001"/>
</g>
<!-- AdminEditViewComponent -->
<g id="node3" class="node">
<title>AdminEditViewComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1420.8724,-122 1247.1276,-122 1247.1276,-86 1420.8724,-86 1420.8724,-122"/>
<text text-anchor="middle" x="1334" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">AdminEditViewComponent</text>
</g>
<!-- AdminEditViewComponent&#45;&gt;AdminModule -->
<g id="edge3" class="edge">
<title>AdminEditViewComponent&#45;&gt;AdminModule</title>
<path fill="none" stroke="#000000" d="M1334,-122.2667C1334,-140.5552 1334,-166 1334,-166 1334,-166 1015.4169,-166 1015.4169,-166"/>
<polygon fill="#000000" stroke="#000000" points="1015.4169,-162.5001 1005.4169,-166 1015.4169,-169.5001 1015.4169,-162.5001"/>
</g>
<!-- EditLabelComponent -->
<g id="node4" class="node">
<title>EditLabelComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1229.0394,-122 1092.9606,-122 1092.9606,-86 1229.0394,-86 1229.0394,-122"/>
<text text-anchor="middle" x="1161" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">EditLabelComponent</text>
</g>
<!-- EditLabelComponent&#45;&gt;AdminModule -->
<g id="edge4" class="edge">
<title>EditLabelComponent&#45;&gt;AdminModule</title>
<path fill="none" stroke="#000000" d="M1161,-122.0091C1161,-138.0494 1161,-159 1161,-159 1161,-159 1015.3635,-159 1015.3635,-159"/>
<polygon fill="#000000" stroke="#000000" points="1015.3635,-155.5001 1005.3635,-159 1015.3634,-162.5001 1015.3635,-155.5001"/>
</g>
<!-- ElectoralAuthorityKeyCardComponent -->
<g id="node5" class="node">
<title>ElectoralAuthorityKeyCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1074.3333,-122 837.6667,-122 837.6667,-86 1074.3333,-86 1074.3333,-122"/>
<text text-anchor="middle" x="956" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ElectoralAuthorityKeyCardComponent</text>
</g>
<!-- ElectoralAuthorityKeyCardComponent&#45;&gt;AdminModule -->
<g id="edge5" class="edge">
<title>ElectoralAuthorityKeyCardComponent&#45;&gt;AdminModule</title>
<path fill="none" stroke="#000000" d="M956,-122.1061C956,-122.1061 956,-140.991 956,-140.991"/>
<polygon fill="#000000" stroke="#000000" points="952.5001,-140.9909 956,-150.991 959.5001,-140.991 952.5001,-140.9909"/>
</g>
<!-- ElectoralAuthorityKeyListComponent -->
<g id="node6" class="node">
<title>ElectoralAuthorityKeyListComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="819.9001,-122 588.0999,-122 588.0999,-86 819.9001,-86 819.9001,-122"/>
<text text-anchor="middle" x="704" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ElectoralAuthorityKeyListComponent</text>
</g>
<!-- ElectoralAuthorityKeyListComponent&#45;&gt;AdminModule -->
<g id="edge6" class="edge">
<title>ElectoralAuthorityKeyListComponent&#45;&gt;AdminModule</title>
<path fill="none" stroke="#000000" d="M704,-122.0091C704,-138.0494 704,-159 704,-159 704,-159 896.5136,-159 896.5136,-159"/>
<polygon fill="#000000" stroke="#000000" points="896.5136,-162.5001 906.5136,-159 896.5135,-155.5001 896.5136,-162.5001"/>
</g>
<!-- AdminRoutingModule -->
<g id="node8" class="node">
<title>AdminRoutingModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="563.5561,-122 560.5561,-126 539.5561,-126 536.5561,-122 420.4439,-122 420.4439,-86 563.5561,-86 563.5561,-122"/>
<text text-anchor="middle" x="492" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">AdminRoutingModule</text>
</g>
<!-- AdminRoutingModule&#45;&gt;AdminModule -->
<g id="edge7" class="edge">
<title>AdminRoutingModule&#45;&gt;AdminModule</title>
<path fill="none" stroke="#000000" d="M492,-122.2667C492,-140.5552 492,-166 492,-166 492,-166 896.3439,-166 896.3439,-166"/>
<polygon fill="#000000" stroke="#000000" points="896.3439,-169.5001 906.3439,-166 896.3438,-162.5001 896.3439,-169.5001"/>
</g>
<!-- SharedModule -->
<g id="node9" class="node">
<title>SharedModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="402.4231,-122 399.4231,-126 378.4231,-126 375.4231,-122 303.5769,-122 303.5769,-86 402.4231,-86 402.4231,-122"/>
<text text-anchor="middle" x="353" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SharedModule</text>
</g>
<!-- SharedModule&#45;&gt;AdminModule -->
<g id="edge8" class="edge">
<title>SharedModule&#45;&gt;AdminModule</title>
<path fill="none" stroke="#000000" d="M353,-122.1289C353,-142.5724 353,-173 353,-173 353,-173 896.654,-173 896.654,-173"/>
<polygon fill="#000000" stroke="#000000" points="896.654,-176.5001 906.654,-173 896.6539,-169.5001 896.654,-176.5001"/>
</g>
<!-- ElectoralAuthorityKeyService -->
<g id="node10" class="node">
<title>ElectoralAuthorityKeyService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="152" cy="-104" rx="128.4666" ry="18"/>
<text text-anchor="middle" x="152" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ElectoralAuthorityKeyService</text>
</g>
<!-- ElectoralAuthorityKeyService&#45;&gt;AdminModule -->
<g id="edge9" class="edge">
<title>ElectoralAuthorityKeyService&#45;&gt;AdminModule</title>
<path fill="none" stroke="#000000" d="M152,-122.0109C152,-144.4852 152,-180 152,-180 152,-180 896.6151,-180 896.6151,-180"/>
<polygon fill="#000000" stroke="#000000" points="896.6152,-183.5001 906.6151,-180 896.6151,-176.5001 896.6152,-183.5001"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/admin/admin.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/AdminCardsViewComponent.html">AdminCardsViewComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/AdminComponent.html">AdminComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/AdminEditViewComponent.html">AdminEditViewComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/EditLabelComponent.html">EditLabelComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ElectoralAuthorityKeyCardComponent.html">ElectoralAuthorityKeyCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ElectoralAuthorityKeyListComponent.html">ElectoralAuthorityKeyListComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>EntryComponents<a href="https://angular.io/api/core/NgModule#entryComponents" target="_blank"
                            title="Official documentation about module entryComponents"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/EditLabelComponent.html">EditLabelComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/ElectoralAuthorityKeyService.html">ElectoralAuthorityKeyService</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/AdminRoutingModule.html">AdminRoutingModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/SharedModule.html">SharedModule</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { NgModule } from &#x27;@angular/core&#x27;;
import { CommonModule } from &#x27;@angular/common&#x27;;
import { ElectoralAuthorityKeyCardComponent } from &#x27;./electoral-authority-key/card/card.component&#x27;;
import { ElectoralAuthorityKeyListComponent } from &#x27;./electoral-authority-key/list/list.component&#x27;;
import { ElectoralAuthorityKeyService } from &#x27;./electoral-authority-key/electoral-authority-key.service&#x27;;
import { AdminRoutingModule } from &#x27;./admin-routing.module&#x27;;
import { AdminComponent } from &#x27;./admin.component&#x27;;
import { SharedModule } from &#x27;../shared/shared.module&#x27;;
import { AdminCardsViewComponent } from &#x27;./cards-view/cards-view.component&#x27;;
import { AdminEditViewComponent } from &#x27;./edit-view/edit-view.component&#x27;;
import { EditLabelComponent } from &#x27;./electoral-authority-key/edit-label/edit-label.component&#x27;;

@NgModule({
  imports: [
    SharedModule,
    CommonModule,
    AdminRoutingModule
  ],
  declarations: [
    ElectoralAuthorityKeyCardComponent,
    ElectoralAuthorityKeyListComponent,
    AdminComponent,
    AdminCardsViewComponent,
    AdminEditViewComponent,
    EditLabelComponent],
  providers: [ElectoralAuthorityKeyService],
  entryComponents: [EditLabelComponent],
})
export class AdminModule {
}
</code></pre>
    </div>
</div>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'AdminModule.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
